Bug 2035004 - Review Request: python-ibm-vpc - Python client library for IBM Cloud VPC Services
Summary: Review Request: python-ibm-vpc - Python client library for IBM Cloud VPC Serv...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Kadlčík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-22 17:16 UTC by Pavel Raiskup
Modified: 2022-01-13 01:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-13 01:05:45 UTC
Type: ---
jkadlcik: fedora-review+


Attachments (Terms of Use)

Description Pavel Raiskup 2021-12-22 17:16:03 UTC
Spec URL: https://copr-dist-git.fedorainfracloud.org/cgit/praiskup/ibm-cloud-python-api/python-ibm-vpc.git/plain/python-ibm-vpc.spec?id=a84b80daa235cc44b14d0656f4298ea808a086ed
SRPM URL: https://download.copr.fedorainfracloud.org/results/praiskup/ibm-cloud-python-api/srpm-builds/03077728/python-ibm-vpc-0.9.0-1.src.rpm
Description:
Python client library to interact with various IBM Cloud Virtual Private Cloud
(VPC) Service APIs.
Fedora Account System Username: praiskup

Comment 1 Maxwell G 2021-12-26 19:35:24 UTC
> %pyproject_save_files 'ibm_vpc' +auto

The `+auto` option should not be used, according to the Python Packaging Guidelines.

> %check
> %pyproject_check_import

Upstream provides tests. You should run them in place of `%pyproject_check_import` if possible/practical.

Also, it would be helpful if you could enable the option to run fedora-review in Copr so the reviewer doesn't have to do so themself.

Comment 2 Pavel Raiskup 2022-01-01 18:17:43 UTC
Spec URL: https://copr-dist-git.fedorainfracloud.org/cgit/praiskup/ibm-cloud-python-api/python-ibm-vpc.git/plain/python-ibm-vpc.spec?id=763006dc864e30d926f6e337c559bc523c494e97
SRPM URL: https://download.copr.fedorainfracloud.org/results/praiskup/ibm-cloud-python-api/srpm-builds/03120705/python-ibm-vpc-0.9.0-2.src.rpm
Diff: https://copr-dist-git.fedorainfracloud.org/cgit/praiskup/ibm-cloud-python-api/python-ibm-vpc.git/commit/?id=763006dc864e30d926f6e337c559bc523c494e97
Review.txt: https://download.copr.fedorainfracloud.org/results/praiskup/ibm-cloud-python-api/fedora-35-x86_64/03120705-python-ibm-vpc/fedora-review/review.txt

Thanks for taking a look!

> The `+auto` option should not be used

Wasn't needed, so dropped now.

> Upstream provides tests.

I don't see them in the upstream provided PyPI tarball, so it would be quite some work to
keep them updated manually from the upstream git.

> Also, it would be helpful if you could enable the option to run fedora-review in Copr so the reviewer doesn't have to do so themself.

Done.

Comment 3 Jakub Kadlčík 2022-01-03 23:50:33 UTC
> # Check if the automatically generated License and its spelling is correct for Fedora
> # https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/

I probably don't understand this comment. It reads more like a TODO to me

Otherwise, it looks good to me.

Comment 5 Jakub Kadlčík 2022-01-04 21:44:45 UTC
Thank you for the change.
Please be aware that the package fails to build for Fedora 34. I don't see it as a blocker though.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License 2.0", "Unknown or generated",
     "Apache License 2.0". 10 files have unknown license. Detailed output
     of licensecheck in /var/lib/copr-rpmbuild/results/python-ibm-
     vpc/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python3-ibm-vpc-0.9.0-3.fc36.noarch.rpm
          python-ibm-vpc-0.9.0-3.fc36.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://files.pythonhosted.org/packages/source/i/ibm-vpc/ibm-vpc-0.9.0.tar.gz :
  CHECKSUM(SHA256) this package     : bd7a06e14be73685c736c01fc904d289642b68b01a84a85950d5ad341256436b
  CHECKSUM(SHA256) upstream package : bd7a06e14be73685c736c01fc904d289642b68b01a84a85950d5ad341256436b


Requires
--------
python3-ibm-vpc (rpmlib, GLIBC filtered):
    (python3.10dist(python-dateutil) < 3~~ with python3.10dist(python-dateutil) >= 2.5.3)
    python(abi)
    python3.10dist(ibm-cloud-sdk-core)



Provides
--------
python3-ibm-vpc:
    python-ibm-vpc
    python3-ibm-vpc
    python3.10-ibm-vpc
    python3.10dist(ibm-vpc)
    python3dist(ibm-vpc)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review --no-colors --prebuilt --rpm-spec --name python-ibm-vpc --mock-config /var/lib/copr-rpmbuild/results/configs/child.cfg
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: fonts, R, Ocaml, Perl, Java, SugarActivity, C/C++, Haskell, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 7 Pavel Raiskup 2022-01-05 16:23:06 UTC
Hmpf, some problems appeared: https://pagure.io/releng/issue/10512

Comment 8 Fedora Update System 2022-01-05 22:17:29 UTC
FEDORA-2022-7a11172e9e has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7a11172e9e

Comment 9 Fedora Update System 2022-01-06 01:54:05 UTC
FEDORA-2022-7a11172e9e has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-7a11172e9e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7a11172e9e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Miro Hrončok 2022-01-07 10:48:09 UTC
> > Upstream provides tests.
> 
> I don't see them in the upstream provided PyPI tarball, so it would be quite
> some work to
> keep them updated manually from the upstream git.

They tag their releases on GitHub, so consider using the github tarball as a source, see https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_source_files_from_pypi

I have a patch for that, but the test collection takes ages, not sure if it isn't broken: https://src.fedoraproject.org/fork/churchyard/rpms/python-ibm-vpc/diff/rawhide..pytest

Comment 11 Miro Hrončok 2022-01-07 11:11:51 UTC
(In reply to Miro Hrončok from comment #10)
> > > Upstream provides tests.
> > 
> > I don't see them in the upstream provided PyPI tarball, so it would be quite
> > some work to
> > keep them updated manually from the upstream git.
> 
> They tag their releases on GitHub, so consider using the github tarball as a
> source, see
> https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/
> #_source_files_from_pypi
> 
> I have a patch for that, but the test collection takes ages, not sure if it
> isn't broken:
> https://src.fedoraproject.org/fork/churchyard/rpms/python-ibm-vpc/diff/
> rawhide..pytest

https://src.fedoraproject.org/rpms/python-ibm-vpc/pull-request/1

Comment 12 Pavel Raiskup 2022-01-07 11:54:14 UTC
Awesome, thank you!

Comment 13 Fedora Update System 2022-01-13 01:05:45 UTC
FEDORA-2022-7a11172e9e has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.